<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

require_once('../include/common.inc.php');
require_once(APP_ROOT.'admin/session.inc.php');
require_once(APP_ROOT.'include/smarty_admin.inc.php');
require_once(APP_ROOT.'templates/admin/lang.php');

if ($dosubmit)
{
	foreach ($pages_order as $k=>$v)
	{
		if (is_numeric($v))
		{
			$v = intval($v);
		}
		else 
		{
			$v = 0;
		}
		$sql = "UPDATE {$tablepre}pages SET display_order=".trim($v)." WHERE id={$k}";
		$db->query($sql);
	}

	require_once(APP_ROOT.'include/cache.class.php');
	$cache->clearcache();
	
	showmessage($lang['settings_success'],$_SERVER['HTTP_REFERER'],$lang['pages_list_forward']);
}

$sql_str = $query_str = '';
if ($title)
{
	$title = stripslashes($title);
	$sql_str .= " AND title LIKE '%{$title}%'";
	$TPL->assign('title',$title);
	$query_str .= "&title=".rawurlencode($title);
}

if ($position)
{
	switch ($position) {
		case '1':
		$sql_str .= " AND is_header=1";
		break;
		case '2':
		$sql_str .= " AND is_nav=1";
		break;
		case '3':
		$sql_str .= " AND is_footer=1";
		break;
	}
	$TPL->assign('position',$position);
	$query_str .= "&position=".$position;
}

$pagesize = 20;
if (isset($page) && $page>0)
{
	$page = intval($page);
}
else
{
	$page = 1;
}

$sql = "SELECT id,display_order,title,is_header,is_nav,is_footer,link,filename,status FROM 
{$tablepre}pages WHERE status>0 {$sql_str} ORDER BY display_order ASC 
LIMIT ".($page-1)*$pagesize.",".$pagesize;
$query = $db->query($sql);
$pages = array();
while ($rs = $db->fetch_array($query))
{
	if (!$rs['link'])
	{
		if ($sysenv['urlrewrite']) {
			$rs['link'] = $sysenv['rooturl'].'page/'.urlencode($rs['filename']).'.html';
		}
		else
		{
			$rs['link'] = $sysenv['rooturl'].'page.php?id='.$rs['id'];
		}
	}
	$rs['position'] = '';
	$pages[] = $rs;
}
$TPL->assign('pages',$pages);

$sql = "SELECT count(*) FROM {$tablepre}pages WHERE status>0 {$sql_str}";
$total_records = $db->result($db->query($sql),0);
$multlink = multLink($page,$total_records,$sysenv['rooturl'].'admin/content_pages.php?page=',$query_str,$pagesize);
$TPL->assign('multlink',$multlink);

$TPL->assign('lang',$lang);
$TPL->assign('sysenv',$sysenv);
$TPL->assign('seo',$seo);
unset($lang,$db,$sysenv);
$TPL->display('content_pages.html');
?>