<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

require_once('../include/common.inc.php');
require_once(APP_ROOT.'admin/session.inc.php');
require_once(APP_ROOT.'include/smarty_admin.inc.php');
require_once(APP_ROOT.'templates/admin/lang.php');

$action = trim($action);

if ($action == 'edit')
{
	if ($id)
	{
		$id = intval($id);
		$sql = "SELECT * FROM {$tablepre}pages WHERE id=$id AND status>0";
		$query = $db->query($sql);
		if ($page = $db->fetch_array($query))
		{
			$page['title'] = str_replace('"','&#34;',$page['title']);
			$page['label'] = str_replace('"','&#34;',$page['label']);
			$TPL->assign('page',$page);
		}
		else
		{
			showmessage($lang['pages_error_id'],'content_pages.php',$lang['pages_list_forward']);
		}
	}
	else
	{
		showmessage($lang['pages_error_id'],'content_pages.php',$lang['pages_list_forward']);
	}
}

if ($dosubmit)
{
	$page_title = trim($page_title);
	if ($page_title == '')
	{
		showmessage($lang['pages_error_title'],'history(-1)',$lang['pages_edit_forward']);
	}

	$page_label = trim($page_label);
	if ($page_label == '')
	{
		showmessage($lang['pages_error_label'],'history(-1)',$lang['pages_edit_forward']);
	}

	$page_link = trim($page_link);
	$page_filename = preg_replace('/[^a-zA-Z0-9_\-]/', '', $page_filename);
	if ($page_link == '' && $page_filename == '' && $page['status'] != 2)
	{
		showmessage($lang['pages_error_filename'],'history(-1)',$lang['pages_edit_forward']);
	}

	$page_isheader = $page_isnav = $page_isfooter = 0;
	foreach ($page_position as $v)
	{
		if ($v == '1')
		{
			$page_isheader = 1;
		}
		if ($v == '3')
		{
			$page_isfooter = 1;
		}
	}

	if ($action == 'edit')
	{
		if ($page['status'] == 2)
		{
			$page_isnav = 1;
			$page_filename = $page['filename'];
		}
		elseif ($page_link == '')
		{
			$sql = "SELECT count(*) FROM {$tablepre}pages WHERE id<>$id AND filename='$page_filename' AND status>0";
			if ($db->result($db->query($sql),0)>0)
			{
				showmessage($lang['pages_error_filename_exists'],'history(-1)',$lang['pages_edit_forward']);
			}
		}
		$sql = "UPDATE {$tablepre}pages SET title='$page_title', label='$page_label', 
		is_header=$page_isheader, is_nav=$page_isnav, is_footer=$page_isfooter, 
		link='$page_link',body='$page_body',filename='$page_filename' WHERE id=$id";
		if ($db->query($sql))
		{
			require_once(APP_ROOT.'include/cache.class.php');
			$cache->clearcache();
			showmessage($lang['pages_saved'],$_SERVER['HTTP_REFERER'],$lang['pages_edit_forward']);
		}
	}
	else
	{
		if ($page_link == '')
		{
			$sql = "SELECT count(*) FROM {$tablepre}pages WHERE filename='$page_filename' AND status>0";
			if ($db->result($db->query($sql),0))
			{
				showmessage($lang['pages_error_filename_exists'],'history(-1)',$lang['pages_edit_forward']);
			}
		}

		$sql = "INSERT INTO {$tablepre}pages (display_order,title,label,is_header,is_nav,
		is_footer,link,body,filename,status) 
		VALUES (0,'$page_title','$page_label',$page_isheader,$page_isnav,
		$page_isfooter,'$page_link','$page_body','$page_filename',1)";
		if ($db->query($sql))
		{
			require_once(APP_ROOT.'include/cache.class.php');
			$cache->clearcache();
			showmessage($lang['pages_saved'],'content_pages.php',$lang['pages_list_forward']);
		}
	}
}

$TPL->assign('action',$action);
$TPL->assign('lang',$lang);
$TPL->assign('sysenv',$sysenv);
$TPL->assign('seo',$seo);
unset($lang,$db,$sysenv,$page);
$TPL->display('content_pages_edit.html');
?>