<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

require_once('../include/common.inc.php');
require_once(APP_ROOT.'admin/session.inc.php');
require_once(APP_ROOT.'include/smarty_admin.inc.php');
require_once(APP_ROOT.'templates/admin/lang.php');

if ($dosubmit)
{
	foreach ($products_order as $k=>$v)
	{
		if (is_numeric($v))
		{
			$v = intval($v);
		}
		else 
		{
			$v = 0;
		}

		if (isset($products_status[$k]))
		{
			$products_status[$k] = 1;
		}
		else
		{
			$products_status[$k] = 0;
		}

		$sql = "UPDATE {$tablepre}products SET display_order=".trim($v)
		.",status=".$products_status[$k]." WHERE id={$k}";
		$db->query($sql);
	}

	require_once(APP_ROOT.'include/cache.class.php');
	$cache->clearcache();
	
	showmessage($lang['settings_success'],$_SERVER['HTTP_REFERER'],$lang['products_list_forward']);
}

$sql_str = $query_str = '';
if ($keyword)
{
	$keyword = stripslashes($keyword);
	$sql_str .= " WHERE p.name LIKE '%{$keyword}%'";
	$TPL->assign('keyword',$keyword);
	$query_str .= "&keyword=".rawurlencode($keyword);
}

$pagesize = 20;
if (isset($page) && $page>0)
{
	$page = intval($page);
}
else
{
	$page = 1;
}

$sql = "SELECT p.id, p.status, p.display_order, p.name, p.version, c.currency, c.symbol, 
p.price, p.price_format, p.reg_type FROM 
{$tablepre}products p INNER JOIN {$tablepre}currencies c ON p.currency_id=c.id 
{$sql_str} ORDER BY p.display_order ASC 
LIMIT ".($page-1)*$pagesize.",".$pagesize;
$query = $db->query($sql);
$products = array();
while ($rs = $db->fetch_array($query))
{
	$rs['url'] = makeProductUrl($rs);
	if ($sysenv['urlrewrite']) {
		$rs['pad'] = $sysenv['rooturl'].'pad/'.$rs['id'].'.xml';
	}
	else
	{
		$rs['pad'] = $sysenv['rooturl'].'pad.php?id='.$rs['id'];
	}
	if ($rs['reg_type'] == 1)
	{
		$sql = "SELECT COUNT(*) FROM {$tablepre}regcodes WHERE product_id=".$rs['id']." AND status=1";
		if ($storage = $db->result($db->query($sql),0))
		{
			$rs['storage'] = '<a href="products_edit.php?action=edit&id='.$rs['id']
			.'&sub=storage">'.$storage.'</a>';
		}
		else
		{
			$rs['storage'] = '<a href="products_edit.php?action=edit&id='.$rs['id']
			.'&sub=storage" class="red">0</a>';
		}
	}
	else
	{
		$rs['storage'] = 'N/A';
	}
	$rs['price'] = c_number_format($rs['price'],$rs['price_format']);
	$products[] = $rs;
}
$TPL->assign('products',$products);

$sql = "SELECT count(*) FROM {$tablepre}products p {$sql_str}";
$total_records = $db->result($db->query($sql),0);
$multlink = multLink($page,$total_records,$sysenv['rooturl'].'admin/products_list.php?page=',
$query_str,$pagesize);
$TPL->assign('multlink',$multlink);

$TPL->assign('lang',$lang);
$TPL->assign('sysenv',$sysenv);
$TPL->assign('seo',$seo);
unset($lang,$db,$sysenv);
$TPL->display('products_list.html');
?>