<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

if (!isset($pid))
{
	exit();
}
$pid = intval($pid);

if ($dosubmit)
{
	$sql = "SELECT COUNT(*) FROM {$tablepre}products p 
			INNER JOIN {$tablepre}categories cate ON p.category_id=cate.id 
			WHERE p.id=$pid AND p.status=1 AND cate.status=1";
	$query = $db->query($sql);
	$error = '';
	if ($num = $db->result($query,0))
	{
		$item = $pid;
		if (is_numeric($quantity) && $quantity>=1)
		{
			$quantity = intval($quantity);
		}
		else
		{
			$quantity = 1;
		}
		$item .= $ajax_delimiter.$quantity;
		
		$sql = "SELECT label,name,field_type,required FROM {$tablepre}regfields WHERE 
		product_id=$pid AND status=1 ORDER BY id ASC";
		$query = $db->query($sql);
		while ($rs = $db->fetch_array($query))
		{
			$var_name = 'field_'.$rs['name'];
			if ($rs['field_type']!=5)
			{
				$$var_name = trim($$var_name);
			}

			if ($rs['required'] && !$$var_name)
			{
				$error .= $rs['label'].$lang['cart_error_required'].'<br />';
			}
			else 
			{
				if ($rs['field_type']==5)
				{
					$tmp_str = implode(',',$$var_name);
					$item .= $ajax_delimiter.$tmp_str;
				}
				else 
				{
					$item .= $ajax_delimiter.$$var_name;
				}
			}
		}
	}
	else
	{
		$error = $lang['cart_error_unavailable'];
	}
	
	if ($error)
	{
		$TPL->assign('error',$error);
	}
	else 
	{
		setcookie("cart_item[$timestamp]",$item,$timestamp+2592000,'/'); //Cookie will expire in 30 days
		header("LOCATION:".$sysenv['rooturl']."cart.php");
		exit();
	}
}

$sql = "SELECT p.id,p.name,p.version,p.currency_id,c.currency,c.symbol,p.price,p.price_format,p.reg_type,p.keygen 
		FROM {$tablepre}products p 
		INNER JOIN {$tablepre}currencies c ON p.currency_id=c.id 
		INNER JOIN {$tablepre}categories cate ON p.category_id=cate.id 
		WHERE p.id=$pid AND p.status=1 AND cate.status=1";
$query = $db->query($sql);
$product = $db->fetch_array($query);

if($product['reg_type'] == 4)
{
	header("LOCATION:".$product['keygen']);
	exit();
}

/*currecy check*/
if ($cart_item)
{
	foreach ($cart_item as $k => $v)
	{
		if (!$v)
		{
			continue;
		}
		$v = explode($ajax_delimiter,$v);
		$sql = "SELECT p.currency_id FROM {$tablepre}products p 
			INNER JOIN {$tablepre}categories cate ON p.category_id=cate.id 
			WHERE p.id=".$v[0]." AND p.status=1 AND cate.status=1";
		$query = $db->query($sql);
		if ($currency_id = $db->result($query,0))
		{
			break;
		}
	}
	if ($product['currency_id'] != $currency_id)
	{
		$error_stop = $lang['cart_error_multi_currency'];
		$TPL->assign('error_stop',$error_stop);
	}
}
/*currency check*/

if (!$error_stop)
{
	$product['price'] = c_number_format($product['price'],$product['price_format']);
	$title = $product['name'].' - '.$lang['cart_title'];
	$TPL->assign('product',$product);
	
	$sql = "SELECT id,label,name,field_type,field_values,description,required 
	FROM {$tablepre}regfields WHERE product_id=$pid AND status=1";
	$query = $db->query($sql);
	$fields = array();
	while ($rs = $db->fetch_array($query))
	{
		$var_name = 'field_'.$rs['name'];
		$rs['html'] = '';
		switch ($rs['field_type'])
		{
			case 1:
				$rs['html'] = '<input type="text" name="field_'.$rs['name'].'" id="field_'.$rs['name'].'" 
				value="'.($$var_name ? $$var_name : $rs['field_values']).'" onfocus="this.select();" />';
				break;
			case 2:
				$rs['html'] = '<textarea name="field_'.$rs['name'].'" id="field_'.$rs['name'].'">'.
				($$var_name ? $$var_name : $rs['field_values']).'"</textarea>';
				break;
			case 3:
				$rs['html'] = '<input type="password" name="field_'.$rs['name'].'" id="field_'.$rs['name'].'" 
				value="'.($$var_name ? $$var_name : $rs['field_values']).'" onfocus="this.select();" />';
				break;
			case 4:
				$field_values = explode(',',$rs['field_values']);
				foreach ($field_values AS $k => $v)
				{
					if ($v == $$var_name)
					{
						$rs['html'] .= '<input type="radio" name="field_'.$rs['name'].'" 
						id="field_'.$rs['name'].'_'.$k.'" value="'.$v.'" checked /> ';
					}
					else
					{
						$rs['html'] .= '<input type="radio" name="field_'.$rs['name'].'" 
						id="field_'.$rs['name'].'_'.$k.'" value="'.$v.'" /> ';
					}
				}
				break;
			case 5:
				$field_values = explode(',',$rs['field_values']);
				foreach ($field_values AS $k => $v)
				{
					if (in_array($v,$$var_name))
					{
						$rs['html'] .= '<input type="radio" name="field_'.$rs['name'].'[]" 
						id="field_'.$rs['name'].'_'.$k.'" value="'.$v.'" checked /> ';
					}
					else
					{
						$rs['html'] .= '<input type="radio" name="field_'.$rs['name'].'[]" 
						id="field_'.$rs['name'].'_'.$k.'" value="'.$v.'" /> ';
					}
				}
				break;
			case 6:
				$rs['html'] = '<select name="field_'.$rs['name'].'" id="field_'.$rs['name'].'">';
				$field_values = explode(',',$rs['field_values']);
				foreach ($field_values AS $v)
				{
					if ($v == $$var_name)
					{
						$rs['html'] .= '<option value="'.$v.'" selected>'.$v.'</option>';
					}
					else
					{
						$rs['html'] .= '<option value="'.$v.'">'.$v.'</option>';
					}
				}
				$rs['html'] .= '</select>';
				break;
		}
		$fields[] = $rs;
	}
	$TPL->assign('fields',$fields);
}
?>