<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

require_once(APP_ROOT.'include/smarty/Smarty.class.php');

$templates_dir = APP_ROOT.'templates/'.$sysenv['template_name'].'/';
$compile_dir = APP_ROOT.'smartyfiles/compile/'.$sysenv['template_name'].'/';
$cache_dir = APP_ROOT.'smartyfiles/cache/';

$index_page = $compile_dir.'index.html';
if (!file_exists($index_page))
{
	cwritefile($index_page,'');
}

$TPL = new Smarty;
$TPL->debugging = FALSE;
$TPL->template_dir = $templates_dir;
$TPL->compile_dir = $compile_dir;
$TPL->cache_dir = $cache_dir;
$TPL->cache_lifetime = 0;
$TPL->caching = FALSE;
$TPL->left_delimiter = '{#';
$TPL->right_delimiter = '#}';
$TPL->assign('axous_version',AXOUS_VERSION);

//Init global cache
if($cachefile=$cache->loadcache("links"))
{
	include_once($cachefile);
}
elseif($cachefile=$cache->links())
{
	include_once($cachefile);
}
else
{
	echo "The system encountered an error while creating the cache of links";
	exit();
}

if ($is_xml)
{
	header("Content-Type: application/xml; charset=utf-8");
}
else
{
	header("Content-type: text/html; charset=utf-8");
}
?>