<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

require_once('include/common.inc.php');
require_once(APP_ROOT.'include/smarty.inc.php');
require_once(APP_ROOT.'templates/'.$sysenv['template_name'].'/lang.php');

$sysenv['curpage'] = 'product';
require_once(APP_ROOT.'minicart.inc.php');
require_once(APP_ROOT.'products.inc.php');

if ($id)
{
	$id = intval($id);
	if($cachefile=$cache->loadcache('productinfo_'.$id))
	{
		include_once($cachefile);
	}
	elseif($cachefile=$cache->productinfo($id))
	{
		include_once($cachefile);
	}
	else 
	{
		header("HTTP/1.1 404 Not Found");
		header("Status: 404 Not Found");
		echo "<h1>404 Not Found</h1>";
		exit();
	}

	if ($productinfo['version'])
	{
		$title = $productinfo['name'].' '.$productinfo['version'];
	}
	else
	{
		$title = $productinfo['name'];
	}
	$TPL->assign('title',$title);
	$TPL->assign('productinfo',$productinfo);
	$seo['keywords'] = $productinfo['keywords'];
	$seo['description'] = $productinfo['summary'];

	$sql = "INSERT INTO {$tablepre}stat (time,ip,product_id,type) 
	VALUES($timestamp,'".$sysenv['onlineip']."',$id,1)";
	$db->query($sql);
}
else
{
	header("HTTP/1.1 404 Not Found");
	header("Status: 404 Not Found");
	echo "<h1>404 Not Found</h1>";
	exit();
}

$TPL->assign('links',$links);
$TPL->assign('lang',$lang);
$TPL->assign('seo',$seo);
$TPL->assign('sysenv',$sysenv);
unset($db,$seo,$sysenv);
$TPL->display('product_info.html');
?>