<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

require_once('include/common.inc.php');

header("Content-Type: application/xml; charset=utf-8");

if (intval($timezone)==$timezone);
{
	$tz_tail = ':00';
}
else
{
	$tz_tail = ':30';
}

if ($timezone >= 0)
{
	$tz = '+'.str_pad($timezone,2,'0',STR_PAD_LEFT);
}
else
{
	$tz = '-'.str_pad(abs($timezone),2,'0',STR_PAD_LEFT);
}

$lastmod = gmdate('Y-m-d\TH:i:s',$timestamp).$tz.$tz_tail;
$changefreq = 'Daily';

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>";
echo "<urlset xmlns=\"http://www.sitemaps.org/schemas/sitemap/0.9\">";
echo "<url>";
echo "<loc>".$sysenv['rooturl']."</loc>";
echo "<lastmod>$lastmod</lastmod>";
echo "<changefreq>$changefreq</changefreq>";
echo "<priority>1</priority>";
echo "</url>";


$sql = "SELECT id,name FROM {$tablepre}products WHERE status=1";
$query = $db->query($sql);
while ($rs = $db->fetch_array($query))
{
	echo "<url>";
	echo "<loc>".makeProductUrl($rs)."</loc>";
	echo "<lastmod>$lastmod</lastmod>";
	echo "<changefreq>$changefreq</changefreq>";
	echo "<priority>0.5</priority>";
	echo "</url>";
}

echo "</urlset>";
unset($db,$seo,$sysenv);
?>