<?php
require_once('../include/common.inc.php');
require_once(APP_ROOT.'admin/session.inc.php');
//require_once(APP_ROOT.'templates/admin/lang.php');

ini_set("html_errors", "0");

if (isset($product_id) && $product_id)
{
	$product_id = intval($product_id);
}
else
{
	//echo "ERROR:invalid product";
	exit(0);
}

$img_file = $_FILES['Filedata'];
if ($img_file['size'] > 0)
{
	$img_ext = c_get_filename_ext(basename($img_file['name']));
	if ( in_array($img_ext,array('jpg','gif')) )
	{
		$img_file = c_move_uploaded_file($img_file);
	}
	else
	{
		//echo "ERROR:invalid upload";
		exit(0);
	}
}
else
{
	//echo "ERROR:invalid upload";
	exit(0);
}

// Get the image and create a thumbnail
$img = imagecreatefromjpeg(APP_ROOT.$img_file);
if (!$img)
{
	$img = imagecreatefromgif(APP_ROOT.$img_file);
}
if (!$img)
{
	$img = imagecreatefrompng(APP_ROOT.$img_file);
}
if (!$img)
{
	exit(0);
}

$width = imageSX($img);
$height = imageSY($img);

if (!$width || !$height) {
	//echo "ERROR:Invalid width or height";
	exit(0);
}

// Build the thumbnail
$target_width = 200;
$target_height = 150;
$target_ratio = $target_width / $target_height;

$img_ratio = $width / $height;

if ($target_ratio > $img_ratio) {
	$new_height = $target_height;
	$new_width = $img_ratio * $target_height;
} else {
	$new_height = $target_width / $img_ratio;
	$new_width = $target_width;
}

if ($new_height > $target_height) {
	$new_height = $target_height;
}
if ($new_width > $target_width) {
	$new_height = $target_width;
}

$new_img = ImageCreateTrueColor($target_width, $target_height);
$background = imagecolorallocate($new_img, 255, 255, 255);
if (!@imagefill($new_img,0,0,$background)) {	// Fill the image white
	//echo "ERROR:Could not fill new image";
	exit(0);
}

if (!@imagecopyresampled($new_img, $img, ($target_width-$new_width)/2, ($target_height-$new_height)/2, 0, 0, $new_width, $new_height, $width, $height)) {
	//echo "ERROR:Could not resize image";
	exit(0);
}

$thumbnail = str_replace('.'.$img_ext,'_s.'.$img_ext,$img_file);
if (imagejpeg($new_img,APP_ROOT.$thumbnail))
{
	$sql = "INSERT INTO {$tablepre}screenshots (status,product_id,screenshot,thumbnail) 
	VALUES(1,$product_id,'$img_file','$thumbnail')";
	$db->query($sql);
	
	if ($sid = $db->insert_id())
	{
		require_once(APP_ROOT.'include/cache.class.php');
		$cache->clearcache();
		echo "Thumbnail:".$thumbnail.$ajax_delimiter.$sid;
	}
	else
	{
		//echo "ERROR:Could not save image data";
		exit(0);
	}
}
else
{
	//echo "ERROR:Could not create thumbnail";
	exit(0);
}
?>