<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

require_once('../include/common.inc.php');
require_once(APP_ROOT.'admin/session.inc.php');
require_once(APP_ROOT.'include/smarty_admin.inc.php');
require_once(APP_ROOT.'templates/admin/lang.php');

$id = intval($id);
if ($id < 1)
{
	exit();
}

if ($dosubmit)
{
	$str_order = $completed_mark ? ',status=3,finish_time='.$timestamp : '';
	$str_item = $completed_mark ? ',status=1' : '';
	$sql = "UPDATE {$tablepre}orders SET note='$note' $str_order WHERE id=$id";
	$db->query($sql);
	foreach ($regcode AS $k => $v)
	{
		$sql = "UPDATE {$tablepre}order_items SET regcode='$v' $str_item WHERE id=$k";
		$db->query($sql);
	}
	showmessage($lang['orders_edit_success'],$_SERVER['HTTP_REFERER'],$lang['orders_edit_forward']);
}

$sql = "SELECT o.id,o.status,o.security,o.create_time,o.pay_time,o.finish_time,o.refund_time,
c.currency,c.symbol,o.total,o.tax,o.fee,o.refund,o.paypal_transaction_id,o.payer_email,o.payer_firstname,
o.payer_lastname,o.ip,o.note,o.email_log 
FROM {$tablepre}orders o 
INNER JOIN {$tablepre}currencies c ON o.currency_id=c.id 
WHERE o.id=$id"; 

$query = $db->query($sql);
if ($order = $db->fetch_array($query))
{
	$order['order_number'] = makeOrderNumber($order['create_time'],$order['security'],$order['id']);
	$order['create_time'] = $order['create_time'] ? maketime($order['create_time'],$timezone) : 'N/A';
	$order['pay_time'] = $order['pay_time'] ? maketime($order['pay_time'],$timezone) : 'N/A';
	$order['finish_time'] = $order['finish_time'] ? maketime($order['finish_time'],$timezone) : 'N/A';
	$order['refund_time'] = $order['refund_time'] ? maketime($order['refund_time'],$timezone) : 'N/A';

	switch ($order['status'])
	{
		case -1:
			$order['profit'] = $order['total'] - $order['tax'] - $order['fee'] + $order['refund'];
			$order['profit'] = number_format($order['profit'],2);
			$order['tax'] = number_format($order['tax'],2);
			$order['fee'] = number_format($order['fee'],2);
			$order['refund'] = number_format($order['refund'],2);
			break;
		case 1:
			$order['profit'] = 'N/A';
			$order['tax'] = 'N/A';
			$order['fee'] = 'N/A';
			$order['refund'] = 'N/A';
			break;
		default:
			$order['profit'] = $order['total'] - $order['tax'] - $order['fee'];
			$order['profit'] = number_format($order['profit'],2);
			$order['tax'] = number_format($order['tax'],2);
			$order['fee'] = number_format($order['fee'],2);
			$order['refund'] = 'N/A';
	}

	switch ($order['status'])
	{
		case -2:
			$order['status_str'] = $lang['orders_status_reversed'];
			break;
		case -1:
			$order['status_str'] = $lang['orders_status_refunded'];
			break;
		case 2:
			$order['status_str'] = $lang['orders_status_paid'];
			break;
		case 3:
			$order['status_str'] = $lang['orders_status_finished'];
			break;
		default:
			$order['status_str'] = $lang['orders_status_waitingpayment'];
	}
	
	$order['total'] = number_format($order['total'],2);
	$TPL->assign('order',$order);
	
	$sql = "SELECT i.id,i.quantity,i.reginfo,i.regcode,i.status,
			p.name,p.version,p.price,p.reg_type 
			FROM {$tablepre}order_items i 
			INNER JOIN {$tablepre}products p ON i.product_id=p.id 
			WHERE i.order_id=$id";

	$query = $db->query($sql);
	$items = array();
	while ($rs = $db->fetch_array($query))
	{
		$rs['subtotal'] = number_format($rs['price']*$rs['quantity'],2);
		$rs['price'] = number_format($rs['price'],2);
		if (!($rs['status'] == -1 || $rs['reg_type'] == 3))
		{
			$rs['regcode'] = str_replace("\r\n",'<br />',$rs['regcode']);
		}
		if ($rs['reginfo'])
		{
			$rs['reginfo'] = explode('&',$rs['reginfo']);
			foreach ($rs['reginfo'] as $k => $v)
			{
				$field = explode('=',$v);
				$rs['reginfo'][$k] = array('name' => $field[0],'value' => rawurldecode($field[1]));
			}
		}
		
		switch ($rs['status'])
		{
			case -1:
				$rs['status_str'] = $lang['orders_item_status_error'];
				break;
			case 1:
				$rs['status_str'] = $lang['orders_item_status_completed'];
				break;
			default:
				$rs['status_str'] = $lang['orders_item_status_new'];
		}
		
		$items[] = $rs;
	}
	$TPL->assign('items',$items);
}

$TPL->assign('lang',$lang);
$TPL->assign('sysenv',$sysenv);
$TPL->assign('seo',$seo);
unset($lang,$db,$sysenv);
$TPL->display('order_detail.html');
?>