<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

require_once('../include/common.inc.php');
require_once(APP_ROOT.'admin/session.inc.php');
require_once(APP_ROOT.'include/smarty_admin.inc.php');
require_once(APP_ROOT.'templates/admin/lang.php');

$sql_str = $query_str = '';
if ($order_no)
{
	$order_no = intval($order_no);
	$TPL->assign('order_no',$order_no);
	$order_no = substr($order_no,12);
	$sql_str .= " AND o.id=".$order_no;
	$query_str .= "&order_no=".$order_no;
}

if ($product_id)
{
	$product_id = intval($product_id);
	$TPL->assign('product_id',$product_id);
	$sql_str .= " AND i.product_id=".$product_id;
	$query_str .= "&product_id=".$product_id;
}

if ($search_status)
{
	$search_status = intval($search_status);
	$TPL->assign('search_status',$search_status);
	$sql_str .= " AND o.status=".$search_status;
	$query_str .= "&search_status=".$search_status;
}

$pagesize = 20;
if (isset($page) && $page>0)
{
	$page = intval($page);
}
else
{
	$page = 1;
}

$sql = "SELECT o.id,o.status,o.security,o.create_time,o.pay_time,o.finish_time 
FROM {$tablepre}orders o 
LEFT JOIN {$tablepre}order_items i ON i.order_id=o.id 
WHERE 1=1 {$sql_str} 
GROUP BY o.id 
ORDER BY o.id DESC 
LIMIT ".($page-1)*$pagesize.",".$pagesize;

$query = $db->query($sql);
$orders = array();
while ($o = $db->fetch_array($query))
{
	$sql = "SELECT p.id,p.name,p.version FROM {$tablepre}order_items i 
			INNER JOIN {$tablepre}products p ON i.product_id=p.id 
			WHERE i.order_id=".$o['id'];
	$query_p = $db->query($sql);
	$products = array();
	while ($p = $db->fetch_array($query_p))
	{
		$p['url'] = makeProductUrl($p);
		$products[] = $p;
	}
	$o['products'] = $products;
	switch ($o['status'])
	{
		case -2:
			$o['status_str'] = $lang['orders_status_reversed'];
			break;
		case -1:
			$o['status_str'] = $lang['orders_status_refunded'];
			break;
		case 2:
			$o['status_str'] = $lang['orders_status_paid'];
			break;
		case 3:
			$o['status_str'] = $lang['orders_status_finished'];
			break;
		default:
			$o['status_str'] = $lang['orders_status_waitingpayment'];
	}
	$o['order_number'] = makeOrderNumber($o['create_time'],$o['security'],$o['id']);
	$o['create_time'] = $o['create_time'] ? maketime($o['create_time'],$timezone) : 'N/A';
	$o['pay_time'] = $o['pay_time'] ? maketime($o['pay_time'],$timezone) : 'N/A';
	$o['finish_time'] = $o['finish_time'] ? maketime($o['finish_time'],$timezone) : 'N/A';
	$orders[] = $o;
}
$TPL->assign('orders',$orders);

$sql = "SELECT COUNT(*) FROM {$tablepre}orders o 
LEFT JOIN {$tablepre}order_items i ON i.order_id=o.id 
WHERE 1=1 {$sql_str} 
GROUP BY o.id";
$total_records = $db->result($db->query($sql),0);
$multlink = multLink($page,$total_records,$sysenv['rooturl'].'admin/order_list.php?page=',
$query_str,$pagesize);
$TPL->assign('multlink',$multlink);

$sql = "SELECT id,name,version FROM {$tablepre}products ORDER BY name ASC";
$query = $db->query($sql);
$products = array();
while ($rs = $db->fetch_array($query))
{
	$products[] = $rs;
}
$TPL->assign('products',$products);

$TPL->assign('lang',$lang);
$TPL->assign('sysenv',$sysenv);
$TPL->assign('seo',$seo);
unset($lang,$db,$sysenv);
$TPL->display('order_list.html');
?>