<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

if ($dosubmit)
{
	$status = intval($status);
	$home = intval($home);
	
	if ($category_id == 'new')
	{
		$category_name = trim($category_name);
		if ($category_name)
		{
			$sql = "INSERT INTO {$tablepre}categories (display_order,name,description,status) 
				VALUES(0,'$category_name','',1)";
			$db->query($sql);
			$category_id = $db->insert_id();
		}
		else
		{
			showmessage($lang['products_error_categoryname'],'history(-1)',$lang['products_edit_forward']);
		}
	}
	else
	{
		if ($category_id)
		{
			$category_id = intval($category_id);
		}
		else
		{
			showmessage($lang['products_error_categoryid'],'history(-1)',$lang['products_edit_forward']);
		}
	}
	
	$product_name = trim($product_name);
	if (!$product_name)
	{
		showmessage($lang['products_error_productname'],'history(-1)',$lang['products_edit_forward']);
	}
	
	$version = trim($version);
	if (!$version)
	{
		showmessage($lang['products_error_version'],'history(-1)',$lang['products_edit_forward']);
	}

	if ($_FILES['logo'])
	{
		$logo = $_FILES['logo'];
		$logo_ext = c_get_filename_ext(basename($logo['name']));
		if ( in_array($logo_ext,array('jpg','jpeg','gif','png')) )
		{
			if ($logo['size']>0)
			{
				$logo = c_move_uploaded_file($logo);
			}
			else
			{
				showmessage($lang['products_error_logo_zero'],'history(-1)',$lang['products_edit_forward']);
			}
		}
		else
		{
			showmessage($lang['products_error_logo_ext'],'history(-1)',$lang['products_edit_forward']);
		}
	}
	else
	{
		showmessage($lang['products_error_logo'],'history(-1)',$lang['products_edit_forward']);
	}
	
	$license_type = intval($license_type);
	if (!$license_type)
	{
		showmessage($lang['products_error_licensetype'],'history(-1)',$lang['products_edit_forward']);
	}
	
	$currency = intval($currency);
	if (!$currency)
	{
		showmessage($lang['products_error_currency'],'history(-1)',$lang['products_edit_forward']);
	}
	
	$price = trim($price);
	if (!is_numeric($price))
	{
		showmessage($lang['products_error_price'],'history(-1)',$lang['products_edit_forward']);
	}
	
	$filesize = trim($filesize);
	if (!is_numeric($filesize))
	{
		showmessage($lang['products_error_filesize'],'history(-1)',$lang['products_edit_forward']);
	}
	else
	{
		$filesize = intval($filesize);
	}
	
	$download1 = trim($download1);
	if (!$download1)
	{
		showmessage($lang['products_error_download1'],'history(-1)',$lang['products_edit_forward']);
	}
	
	$release_date = trim($release_date);
	$release_date = explode(' ',$release_date);
	$release_date = $release_date[0];
	$release_date = date2timestamp($release_date,$timezone);
	if (!$release_date)
	{
		$release_date = $timestamp;
	}

	$price_format = intval($price_format);
	if($price_format < 1)
	{
		$price_format = 1;
	}
	
	if ($icon_changed)
	{
		$icon = $_FILES['icon'];
		$icon_ext = c_get_filename_ext(basename($icon['name']));
		if ($icon_ext == 'gif')
		{
			if ($icon['size']>0)
			{
				$icon = c_move_uploaded_file($icon);
			}
			else
			{
				showmessage($lang['products_error_icon_zero'],'history(-1)',$lang['products_edit_forward']);
			}
		}
		else
		{
			showmessage($lang['products_error_icon_ext'],'history(-1)',$lang['products_edit_forward']);
		}
	}
	
	$download2 = trim($download2);
	$download3 = trim($download3);
	$release_status = intval($release_status);
	$category_class = intval($category_class);
	$install_support = intval($install_support);
	$languages = implode(',',$languages);
	$supported_os = implode(',',$supported_os);

	$fields = 'status,home,category_id,name,version,release_date,logo,license_type_id,
	currency_id,price,filesize,download1,download2,download3,class_id,install_support_id,
	language_ids,os_ids,release_status_id,icon,price_format';
	$sql = "INSERT INTO {$tablepre}products ($fields) VALUES ($status,$home,$category_id,
	'$product_name','$version',$release_date,'$logo',$license_type,$currency,$price,$filesize,
	'$download1','$download2','$download3',$category_class,$install_support,'$languages',
	'$supported_os',$release_status,'$icon',$price_format)";
	$query = $db->query($sql);
	if ($pid = $db->insert_id($query))
	{
		$sql = "INSERT INTO {$tablepre}regfields (product_id,label,name,field_type,field_values,
		description,status,required) 
		VALUES ($pid,'User Name','username',1,'','',1,1),($pid,'E-mail','email',1,'','',1,0);";
		$db->query($sql);
		
		require_once(APP_ROOT.'include/cache.class.php');
		$cache->clearcache();
	
		showmessage($lang['products_edit_success'],'products_edit.php?action=edit&id='.$pid,$lang['products_edit_forward']);
	}
	else
	{
		showmessage($lang['products_edit_fail'],'history(-1)',$lang['products_edit_forward']);
	}
}

$sql = "SELECT id,name FROM {$tablepre}categories WHERE status=1 ORDER BY display_order ASC";
$query = $db->query($sql);
$categories = array();
while ($rs = $db->fetch_array($query))
{
	$categories[] = $rs;
}
$TPL->assign('categories',$categories);

$sql = "SELECT * FROM {$tablepre}license_types";
$query = $db->query($sql);
$license_types = array();
while ($rs = $db->fetch_array($query))
{
	$license_types[] = $rs;
}
$TPL->assign('license_types',$license_types);

$sql = "SELECT * FROM {$tablepre}currencies";
$query = $db->query($sql);
$currencies = array();
while ($rs = $db->fetch_array($query))
{
	$currencies[] = $rs;
}
$TPL->assign('currencies',$currencies);

$sql = "SELECT * FROM {$tablepre}release_status";
$query = $db->query($sql);
$release_status = array();
while ($rs = $db->fetch_array($query))
{
	$release_status[] = $rs;
}
$TPL->assign('release_status',$release_status);

$sql = "SELECT * FROM {$tablepre}classes";
$query = $db->query($sql);
$classes = array();
while ($rs = $db->fetch_array($query))
{
	$classes[] = $rs;
}
$TPL->assign('classes',$classes);

$sql = "SELECT * FROM {$tablepre}install_support";
$query = $db->query($sql);
$install_support = array();
while ($rs = $db->fetch_array($query))
{
	$install_support[] = $rs;
}
$TPL->assign('install_support',$install_support);

$sql = "SELECT * FROM {$tablepre}languages";
$query = $db->query($sql);
$languages = array();
while ($rs = $db->fetch_array($query))
{
	$languages[] = $rs;
}
$TPL->assign('languages',$languages);

$sql = "SELECT * FROM {$tablepre}os";
$query = $db->query($sql);
$os = array();
while ($rs = $db->fetch_array($query))
{
	$os[] = $rs;
}
$TPL->assign('os',$os);
$TPL->assign('time_format',$time_format);
?>