<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

require_once('../include/common.inc.php');
require_once(APP_ROOT.'admin/session.inc.php');
require_once(APP_ROOT.'include/smarty_admin.inc.php');
require_once(APP_ROOT.'templates/admin/lang.php');

$sql_str = $query_str = '';
if ($keyword)
{
	$keyword = stripslashes($keyword);
	$sql_str .= " WHERE name LIKE '%{$keyword}%'";
	$TPL->assign('keyword',$keyword);
	$query_str .= "&keyword=".rawurlencode($keyword);
}

$pagesize = 20;
if (isset($page) && $page>0)
{
	$page = intval($page);
}
else
{
	$page = 1;
}

$sql = "SELECT id,name,version FROM {$tablepre}products 
{$sql_str} 
ORDER BY display_order ASC 
LIMIT ".($page-1)*$pagesize.",".$pagesize;

$query = $db->query($sql);
$stat = array();
$product_ids = '';
while ($rs = $db->fetch_array($query))
{
	$rs['url'] = makeProductUrl($rs);
	$rs['visits'] = $rs['downloads'] = $rs['orders'] = $rs['sales'] = 0;
	$stat[$rs['id']] = $rs;
	$product_ids .= ','.$rs['id'];
}
$product_ids = substr($product_ids,1);

if ($product_ids)
{
	/*get visits*/
	$sql = "SELECT product_id, COUNT(product_id) AS visits 
	FROM {$tablepre}stat 
	WHERE product_id IN ($product_ids) AND type=1 
	GROUP BY product_id";

	$query = $db->query($sql);
	while ($rs = $db->fetch_array($query))
	{
		$stat[$rs['product_id']]['visits'] = $rs['visits'];
	}

	/*get downloads*/
	$sql = "SELECT product_id, COUNT(product_id) AS downloads 
	FROM {$tablepre}stat 
	WHERE product_id IN ($product_ids) AND type=2 
	GROUP BY product_id";

	$query = $db->query($sql);
	while ($rs = $db->fetch_array($query))
	{
		$stat[$rs['product_id']]['downloads'] = $rs['downloads'];
	}

	/*get orders*/
	$sql = "SELECT product_id, SUM(quantity) AS orders 
	FROM {$tablepre}order_items 
	WHERE product_id IN ($product_ids) 
	GROUP BY product_id";

	$query = $db->query($sql);
	while ($rs = $db->fetch_array($query))
	{
		$stat[$rs['product_id']]['orders'] = $rs['orders'];
	}

	/*get sales*/
	$sql = "SELECT product_id, SUM(quantity) AS sales 
	FROM {$tablepre}order_items 
	WHERE product_id IN ($product_ids) AND status=1 
	GROUP BY product_id";

	$query = $db->query($sql);
	while ($rs = $db->fetch_array($query))
	{
		$stat[$rs['product_id']]['sales'] = $rs['sales'];
	}
}


$TPL->assign('stat',$stat);

$sql = "SELECT count(*) FROM {$tablepre}products {$sql_str}";
$total_records = $db->result($db->query($sql),0);
$multlink = multLink($page,$total_records,$sysenv['rooturl'].'admin/products_stat.php?page=',
$query_str,$pagesize);
$TPL->assign('multlink',$multlink);

$TPL->assign('lang',$lang);
$TPL->assign('sysenv',$sysenv);
$TPL->assign('seo',$seo);
unset($lang,$db,$sysenv);
$TPL->display('products_stat.html');
?>