<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

require_once('../include/common.inc.php');
require_once(APP_ROOT.'admin/session.inc.php');
require_once(APP_ROOT.'include/smarty_admin.inc.php');
require_once(APP_ROOT.'templates/admin/lang.php');

if ($dosubmit)
{
	$site_name = trim($site_name);
	$site_root = trim($site_root);
	$seo_title = trim($seo_title);
	$meta_keywords = trim($meta_keywords);
	$meta_description = trim($meta_description);
	$counter = cache_string(stripslashes($counter));

	$file_content = "<?php\r\n";
	$file_content .= "/*MySQL Server info*/\r\n";
	$file_content .= "\$dbhost = \"{$dbhost}\"; //MySQL server\r\n";
	$file_content .= "\$dbuser = \"{$dbuser}\"; //User name\r\n";
	$file_content .= "\$dbpw = \"".cache_string($dbpw)."\"; //Password\r\n";
	$file_content .= "\$dbname = \"{$dbname}\"; //Database Name\r\n";
	$file_content .= "\$pconnect = {$pconnect}; //0=No, 1=Yes\r\n";
	$file_content .= "\$tablepre = \"{$tablepre}\"; //Prefix of table names\r\n";
	$file_content .= "\r\n/*System Configuration*/\r\n";
	$file_content .= "\$indebug = {$indebug}; //Debug mode, 0=No, 1=Yes\r\n";
	$file_content .= "\$gzipcompress = {$gzipcompress}; //0=No, 1=Yes\r\n";
	$file_content .= "\$cachelifetime = {$cachelifetime}; //seconds\r\n";
	$file_content .= "\$time_format = \"{$time_format}\";\r\n";
	$file_content .= "\$timezone = {$timezone};\r\n";
	$file_content .= "\r\n\$sysenv['urlrewrite'] = ".$sysenv['urlrewrite'].";\r\n";
	$file_content .= "\$sysenv['template_name'] = \"".$sysenv['template_name']."\";\r\n";
	$file_content .= "\$sysenv['rooturl'] = \"{$site_root}\";\r\n";
	$file_content .= "\$sysenv['sitename'] = \"{$site_name}\";\r\n";
	$file_content .= "\$seo['title'] = \"{$seo_title}\";\r\n";
	$file_content .= "\$seo['keywords'] = \"{$meta_keywords}\";\r\n";
	$file_content .= "\$seo['description'] = \"{$meta_description}\";\r\n";
	$file_content .= "\$seo['customized_head'] = \"{$customized_head}\";\r\n";
	$file_content .= "\$seo['counter'] = \"{$counter}\";\r\n";
	$file_content .= "\r\n/*Finance Settings*/\r\n";
	$file_content .= "\$paypal['account'] = \"".$paypal['account']."\";\r\n";
	$file_content .= "\$paypal['api_username'] = \"".$paypal['api_username']."\";\r\n";
	$file_content .= "\$paypal['api_password'] = \"".$paypal['api_password']."\";\r\n";
	$file_content .= "\$paypal['api_signature'] = \"".$paypal['api_signature']."\";\r\n";
	$file_content .= "\$paypal['sandbox'] = ".(intval($paypal['sandbox']).";\r\n");
	$file_content .= "\r\n/*Email Settings*/\r\n";
	$file_content .= "\$email['system_email'] = \"".$email['system_email']."\";\r\n";
	$file_content .= "\$email['sender_name'] = \"".cache_string($email['sender_name'])."\";\r\n";
	$file_content .= "\$email['smtp_server'] = \"".$email['smtp_server']."\";\r\n";
	$file_content .= "\$email['smtp_port'] = ".$email['smtp_port'].";\r\n";
	$file_content .= "\$email['smtp_ssl'] = ".$email['smtp_ssl'].";\r\n";
	$file_content .= "\$email['smtp_username'] = \"".$email['smtp_username']."\";\r\n";
	$file_content .= "\$email['smtp_password'] = \"".cache_string($email['smtp_password'])."\";\r\n";
	$file_content .= "\$email['order_notice_email'] = \"".$email['order_notice_email']."\";\r\n";
	$file_content .= "?>";
	if (cwritefile(APP_ROOT.'config.inc.php', $file_content, 'wb'))
	{
		showmessage($lang['settings_success'],$_SERVER['HTTP_REFERER'],$lang['siteinfo_success_forward']);
	}
	else
	{
		showmessage($lang['settings_fail'],'history(-1)',$lang['siteinfo_fail_forward']);
	}
}
$TPL->assign('lang',$lang);
$TPL->assign('sysenv',$sysenv);
$TPL->assign('seo',$seo);
unset($lang,$db,$sysenv);
$TPL->display('settings_siteinfo.html');
?>