<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

require_once('include/common.inc.php');
$is_xml = 1;
require_once(APP_ROOT.'include/smarty.inc.php');

if ($id)
{
	$id = intval($id);
	if ($id < 1)
	{
		exit();
	}
	$sql = "SELECT p.id,p.name,p.version,p.release_date,rs.release_status,l.license_type,
	c.currency,p.price,p.filesize,p.download1,p.download2,p.download3,cc.class_category,
	cl.class,install.install_support,p.language_ids,p.os_ids,p.keywords,p.summary,
	p.description,p.desc45,p.desc80,p.desc250,p.da,p.eula,p.reg_type,p.icon 
	FROM {$tablepre}products p 
	INNER JOIN {$tablepre}currencies c ON p.currency_id=c.id 
	INNER JOIN {$tablepre}license_types l ON p.license_type_id=l.id 
	LEFT JOIN {$tablepre}classes cl ON p.class_id=cl.id 
	LEFT JOIN {$tablepre}install_support install ON p.install_support_id=install.id 
	LEFT JOIN {$tablepre}release_status rs ON p.release_status_id=rs.id 
	LEFT JOIN {$tablepre}class_categories cc ON cl.class_category_id=cc.id 
	WHERE p.status=1 AND p.id=$id";
	
	$query = $db->query($sql);
	if ($productinfo = $db->fetch_array($query))
	{
		$productinfo['release_month'] = gmdate('m', $productinfo['release_date'] + $timezone*3600);
		$productinfo['release_day'] = gmdate('d', $productinfo['release_date'] + $timezone*3600);
		$productinfo['release_year'] = gmdate('Y', $productinfo['release_date'] + $timezone*3600);
		
		$sql = "SELECT screenshot FROM {$tablepre}screenshots WHERE product_id=$id AND status=1 
		ORDER BY display_order ASC LIMIT 1";
		$query = $db->query($sql);
		if ($screenshot = $db->result($query,0))
		{
			$productinfo['screenshot'] = $sysenv['rooturl'].$screenshot;
		}
		else
		{
			$productinfo['screenshot'] = '';
		}
		
		$productinfo['os'] = '';
		if ($productinfo['os_ids'])
		{
			$sql = "SELECT os FROM {$tablepre}os WHERE id IN (".$productinfo['os_ids'].")";
			$query = $db->query($sql);
			while ($rs = $db->fetch_array($query))
			{
				$productinfo['os'] .= ','.$rs['os'];
			}
			$productinfo['os'] = substr($productinfo['os'],1);
		}
		
		$productinfo['language'] = '';
		if ($productinfo['language_ids'])
		{
			$sql = "SELECT language FROM {$tablepre}languages WHERE id IN 
			(".$productinfo['language_ids'].")";
			$query = $db->query($sql);
			while ($rs = $db->fetch_array($query))
			{
				$productinfo['language'] .= ','.$rs['language'];
			}
			$productinfo['language'] = substr($productinfo['language'],1);
		}
		
		$productinfo['class'] = xmlencode($productinfo['class']);
		$productinfo['filesize_k'] = round($productinfo['filesize']/1024);
		$productinfo['filesize_m'] = round($productinfo['filesize']/1048576,2);
		$productinfo['keywords'] = xmlencode($productinfo['keywords']);
		$productinfo['summary'] = xmlencode($productinfo['summary']);
		$productinfo['desc45'] = xmlencode($productinfo['desc45']);
		$productinfo['desc80'] = xmlencode($productinfo['desc80']);
		$productinfo['desc250'] = xmlencode($productinfo['desc250']);
		$productinfo['description'] = xmlencode(substr(strip_tags($productinfo['description']),
		0,2000));
		$productinfo['url'] = makeProductUrl($productinfo);
		if ($sysenv['urlrewrite'])
		{
			$productinfo['pad'] = $sysenv['rooturl'].'pad/'.$productinfo['id'].'.xml';
		}
		else
		{
			$productinfo['pad'] = $sysenv['rooturl'].'pad.php?id='.$productinfo['id'];
		}
		$productinfo['url'] = xmlencode($productinfo['url']);
		$productinfo['pad'] = xmlencode($productinfo['pad']);
		$productinfo['order_url'] = xmlencode($sysenv['rooturl'].'order.php?action=add&pid='.$productinfo['id']);
		$productinfo['icon'] = xmlencode($sysenv['rooturl'].$productinfo['icon']);
		$productinfo['name'] = xmlencode($productinfo['name']);
		$productinfo['version'] = xmlencode($productinfo['version']);
		$productinfo['download1'] = xmlencode($productinfo['download1']);
		$productinfo['download2'] = xmlencode($productinfo['download2']);
		$productinfo['download3'] = xmlencode($productinfo['download3']);
		$productinfo['da'] = xmlencode($productinfo['da']);
		$productinfo['eula'] = xmlencode($productinfo['eula']);
		
		$TPL->assign('productinfo',$productinfo);
		
		$sql = "SELECT * FROM {$tablepre}settings LIMIT 1";
		$query = $db->query($sql);
		$settings = $db->fetch_array($query);
		foreach ($settings AS $k => $v)
		{
			$settings[$k] = xmlencode($v);
		}
		$TPL->assign('settings',$settings);
	}
	else 
	{
		header("HTTP/1.1 404 Not Found");
		header("Status: 404 Not Found");
		echo "<h1>404 Not Found</h1>";
		exit();
	}
}
else
{
	header("HTTP/1.1 404 Not Found");
	header("Status: 404 Not Found");
	echo "<h1>404 Not Found</h1>";
	exit();
}

$TPL->assign('sysenv',$sysenv);
unset($db,$seo,$sysenv);
$TPL->display('pad.xml');
?>