<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

require_once('include/common.inc.php');
require_once(APP_ROOT.'include/smarty.inc.php');
require_once(APP_ROOT.'templates/'.$sysenv['template_name'].'/lang.php');

if ($id)
{
	$id = intval($id);
	if($cachefile=$cache->loadcache("page_id_$id"))
	{
		include_once($cachefile);
	}
	elseif($cachefile=$cache->pages('id', $id))
	{
		include_once($cachefile);
	}
	else
	{
		header("HTTP/1.1 404 Not Found");
		header("Status: 404 Not Found");
		echo "<h1>404 Not Found</h1>";
		exit();
	}
}
elseif ($filename)
{
	if($cachefile=$cache->loadcache("page_filename_$filename"))
	{
		include_once($cachefile);
	}
	elseif($cachefile=$cache->pages('filename', $filename))
	{
		include_once($cachefile);
	}
	else
	{
		header("HTTP/1.1 404 Not Found");
		header("Status: 404 Not Found");
		echo "<h1>404 Not Found</h1>";
		exit();
	}
}
else 
{
	header("HTTP/1.1 404 Not Found");
	header("Status: 404 Not Found");
	echo "<h1>404 Not Found</h1>";
	exit();
}
$sysenv['curpage'] = $page['filename'];
$title = $page['title'];
$TPL->assign('title',$title);
$TPL->assign('page',$page);

require_once(APP_ROOT.'minicart.inc.php');
require_once(APP_ROOT.'products.inc.php');

$TPL->assign('links',$links);
$TPL->assign('lang',$lang);
$TPL->assign('seo',$seo);
$TPL->assign('sysenv',$sysenv);
unset($db,$seo,$sysenv);
$TPL->display('empty_page.html');
?>