<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

$sql = "SELECT o.total,o.note,c.currency FROM {$tablepre}orders o 
INNER JOIN {$tablepre}currencies c ON o.currency_id=c.id 
WHERE o.id=$order_id AND o.status=1";
$query = $db->query($sql);
if ($order = $db->fetch_array($query))
{
	require_once(APP_ROOT.'templates/'.$sysenv['template_name'].'/mail.tpl.php');
	require_once(APP_ROOT.'templates/'.$sysenv['template_name'].'/lang.php');
	if ($order['total'] == $mc_gross && $order['currency'] == $mc_currency)
	{
		if ($memo)
		{
			$memo = $lang['cart_memo'].":\r\n".stripslashes($memo)."\r\n".$rs['note'];
		}
		else
		{
			$memo = $rs['note'];
		}
		$sql = "UPDATE {$tablepre}orders SET status=2,pay_time=$timestamp,
		paypal_transaction_id='$txn_id',
		payer_email='$payer_email',
		payer_firstname='$first_name',
		payer_lastname='$last_name',
		tax=$tax,
		fee=$mc_fee,
		note='".addslashes($memo)."' 
		WHERE id=$order_id";
		$db->query($sql);
	}

	$items = '';
	$finish_flag = 1;
	$smtp_log = '';
	$sql = "SELECT i.id AS item_id,i.product_id,i.quantity,i.reginfo,
	p.name,p.version,p.reg_type,p.keygen 
	FROM {$tablepre}order_items i 
	INNER JOIN {$tablepre}products p ON i.product_id=p.id 
	WHERE i.order_id=$order_id AND i.status=0";
	$query = $db->query($sql);
	while ($rs = $db->fetch_array($query))
	{
		$regcode_flag = 1;
		if ($rs['reg_type'] == 1)
		{
			$regcode_codes = $regcode_ids = '';
			$sql = "SELECT id,regcode FROM {$tablepre}regcodes 
			WHERE status=1 AND product_id=".$rs['product_id']." LIMIT ".$rs['quantity'];
			$query_regcode = $db->query($sql);
			$regcode_count = $db->num_rows($query_regcode);
			while ($regcode = $db->fetch_array($query_regcode))
			{
				$regcode_ids .= ','.$regcode['id'];
				$regcode_codes .= $regcode['regcode']."\r\n";
			}
			$regcode_ids = substr($regcode_ids,1);

			if ($regcode_count)
			{
				$sql = "UPDATE {$tablepre}regcodes SET status=0,item_id=".$rs['item_id'].
				" WHERE id IN ($regcode_ids)";
				$db->query($sql);
			}
			
			if ($regcode_count == $rs['quantity'])
			{
				$sql = "UPDATE {$tablepre}order_items SET regcode='$regcode_codes',
				status=1 WHERE id=".$rs['item_id'];
			}
			else
			{
				$sql = "UPDATE {$tablepre}order_items SET regcode='$regcode_codes',
				status=-1 WHERE id=".$rs['item_id'];
				$regcode_flag = 0;
				$finish_flag = 0;
			}
			$db->query($sql);
		}
		elseif($rs['reg_type'] == 2)
		{
			$rs['reginfo'] .= '&quantity='.$rs['quantity'];
			if($request_begin = strpos($rs['keygen'],'?'))
			{
				$request = substr($rs['keygen'],$request_begin+1);
				if ($request)
				{
					$url = $rs['keygen'].'&'.$rs['reginfo'];
				}
				else
				{
					$url = $rs['keygen'].$rs['reginfo'];
				}
			}
			else
			{
				$url = $rs['keygen'].'?'.$rs['reginfo'];
			}

			try
			{
				$regcode_codes = file_get_contents($url);
			}
			catch (Exception $e)
			{
				$regcode_flag = 0;
				$finish_flag = 0;
			}
			
			if ($regcode_flag)
			{
				$sql = "UPDATE {$tablepre}order_items SET regcode='$regcode_codes',
				status=1 WHERE id=".$rs['item_id'];
			}
			else
			{
				$sql = "UPDATE {$tablepre}order_items SET regcode='$regcode_codes',
				status=-1 WHERE id=".$rs['item_id'];
			}
			$db->query($sql);
		}

		if ($regcode_flag)
		{
			if ($rs['reg_type'] == 1 || $rs['reg_type'] == 2)
			{
				$subject = str_replace('#productname#',$rs['name'].' '.$rs['version'],
				$mail_tpl['regcode']['subject']);
				$body_vars = array('#firstname#','#lastname#','#productname#','#regcode#',
				'#sendername#','#date#');
				$body_values = array();
				$body_values[] = $first_name;
				$body_values[] = $last_name;
				$body_values[] = $rs['name'].' '.$rs['version'];
				$body_values[] = $regcode_codes;
				$body_values[] = $email['sender_name'];
				$body_values[] = makedate($timestamp,$timezone);
				$body = str_replace($body_vars,$body_values,$mail_tpl['regcode']['body']);
				$recipient = array();
				$recipient[] = $payer_email;
				$sendmail = SendMail($recipient,$subject,$body);
				if(!$sendmail)
				{
					$finish_flag = 0;
				}
				elseif($sendmail && $sendmail !== true)
				{
					$finish_flag = 0;
					$smtp_log .= '#'.maketime($timestamp).'# '.$sendmail.'<br />';
				}
			}
			$items .= $lang['product'].': '.$rs['name'].' '.$rs['version']."\r\n"
				.$lang['cart_quantity'].': '.$rs['quantity']."\r\n"
				.$lang['status'].': '.$lang['completed']."\r\n\r\n";
		}
		else
		{
			$items .= $lang['product'].': '.$rs['name'].' '.$rs['version']."\r\n"
				.$lang['cart_quantity'].': '.$rs['quantity']."\r\n"
				.$lang['status'].': '.$lang['error']."\r\n\r\n";
		}
	}
	
	if ($finish_flag)
	{
		$sql = "UPDATE {$tablepre}orders SET status=3,finish_time=$timestamp WHERE id=$order_id";
		$db->query($sql);

		$subject = str_replace('#ordernumber#',$invoice,
		$mail_tpl['order_notification']['subject']);
	}
	else
	{
		$sql = "UPDATE {$tablepre}orders SET email_log='".addslashes($smtp_log)."' WHERE id=$order_id";
		$db->query($sql);
		$subject = str_replace('#ordernumber#',$invoice,
		$mail_tpl['order_notification']['subject_error']);
	}
	$body_vars = array('#ordernumber#','#amount#','#fee#','#tax#','#profit#','#items#',
						'#status#','#url#');
	$body_values = array();
	$body_values[] = $invoice;
	$body_values[] = $mc_currency.' '.$mc_gross;
	$body_values[] = $mc_currency.' '.$mc_fee;
	$body_values[] = $mc_currency.' '.$tax;
	$body_values[] = $mc_currency.' '.number_format($mc_gross-$mc_fee-$tax,2);
	$body_values[] = $items;
	$body_values[] = $lang['completed'];
	$body_values[] = $sysenv['rooturl'].'admin/admincp.php?url='
	.rawurlencode('order_detail.php?id='.$order_id);
	$body = str_replace($body_vars,$body_values,$mail_tpl['order_notification']['body']);
	$recipient = array();
	$recipient[] = $email['order_notice_email'];
	if ($email['order_notice_email'])
	{
		SendMail($recipient,$subject,$body);
	}
}
?>