<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

require_once('include/common.inc.php');
require_once(APP_ROOT.'include/smarty.inc.php');
require_once(APP_ROOT.'templates/'.$sysenv['template_name'].'/lang.php');

$sysenv['curpage'] = 'product';
require_once(APP_ROOT.'minicart.inc.php');
require_once(APP_ROOT.'products.inc.php');

if ($cid)
{
	$cid = intval($cid);
	if($cid < 1)
	{
		exit();
	}

	$TPL->assign('cid',$cid);
	$seo['description'] = $products[$cid]['description'];
	$sqlstr = ' AND p.category_id='.$cid;
	$title = $products[$cid]['name'];
}
else
{
	$title = $lang['product_title'];
}
$TPL->assign('title',$title);

$pagesize = 10;
if (isset($page) && $page>0)
{
	$page = intval($page);
}
else
{
	$page = 1;
}

$sql = "SELECT p.id,p.name,p.version,p.logo,c.symbol,p.price,p.price_format,p.summary 
FROM {$tablepre}products p 
INNER JOIN {$tablepre}currencies c ON p.currency_id=c.id 
INNER JOIN {$tablepre}categories cate ON p.category_id=cate.id 
WHERE p.status=1 AND cate.status=1 $sqlstr ORDER BY p.display_order ASC 
LIMIT ".($page-1)*$pagesize.",".$pagesize;

$query = $db->query($sql);
$product_list = array();
while ($rs=$db->fetch_array($query))
{
	$rs['logo'] = $sysenv['rooturl'].$rs['logo'];
	$rs['price'] = c_number_format($rs['price'],$rs['price_format']);
	$rs['url'] = makeProductUrl($rs);
	$product_list[] = $rs;
}
$TPL->assign('product_list',$product_list);

$sql = "SELECT COUNT(*) FROM {$tablepre}products p 
INNER JOIN {$tablepre}categories cate ON p.category_id=cate.id 
WHERE p.status=1 AND cate.status=1 $sqlstr";
$total_records = $db->result($db->query($sql),0);
if ($sysenv['urlrewrite']) {
	$query_str = $cid ? 'cat-'.$cid.'/' : '';
	$multlink = multLink($page,$total_records,$sysenv['rooturl'].'product/'.$query_str.'page-',
	'/',$pagesize);
}
else
{
	$query_str = $cid ? '&cid='.$cid : '';
	$multlink = multLink($page,$total_records,$sysenv['rooturl'].'product.php?page=',
	$query_str,$pagesize);
}

$TPL->assign('multlink',$multlink);

$TPL->assign('links',$links);
$TPL->assign('lang',$lang);
$TPL->assign('seo',$seo);
$TPL->assign('sysenv',$sysenv);
unset($db,$seo,$sysenv);
$TPL->display('product_list.html');
?>