var userAgent = navigator.userAgent.toLowerCase();
var is_opera = userAgent.indexOf('opera') != -1;
var is_chrome = userAgent.indexOf('chrome') != -1;
var is_safari = (userAgent.indexOf('safari') != -1 || userAgent.indexOf('Safari') != -1) && !is_chrome;
var is_moz = navigator.product == 'Gecko' && !is_opera && !is_chrome && !is_safari;
var is_ie = userAgent.indexOf('msie') != -1 && !is_opera;

function $(id) {
	return document.getElementById(id);
}

Array.prototype.push = function(value) {
	this[this.length] = value;
	return this.length;
}

function AJAXRequest() {
	var xmlObj = false;
	var CBfunc,ObjSelf;
	ObjSelf=this;
	try { xmlObj=new XMLHttpRequest; }
	catch(e) {
		try { xmlObj=new ActiveXObject("MSXML2.XMLHTTP"); }
		catch(e2) {
			try { xmlObj=new ActiveXObject("Microsoft.XMLHTTP"); }
			catch(e3) { xmlObj=false; }
		}
	}
	if (!xmlObj) return false;
	this.method="POST";
	this.url;
	this.async=true;
	this.content="";
	this.callback=function(cbobj) {return;}
	this.send=function() {
		if(!this.method||!this.url||!this.async) return false;
		xmlObj.open (this.method, this.url, this.async);
		if(this.method=="POST") xmlObj.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		xmlObj.onreadystatechange=function() {
			if(xmlObj.readyState==4) {
				if(xmlObj.status==200) {
					ObjSelf.callback(xmlObj);
				}
			}
		}
		if(this.method=="POST") xmlObj.send(this.content);
		else xmlObj.send(null);
	}
}

function insertAfter(newElement,targetElement)
{
    var parent = targetElement.parentNode;
    
    if( parent.lastChild == targetElement )
        parent.appendChild(newElement);
    else
        parent.insertBefore( newElement, targetElement.nextSibling );
}

function Is_Mail(str)
{
	if(str.indexOf("@")==-1)	return false;
	if(str.indexOf(".")==-1)	return false;
	if(str.lastIndexOf(".")==str.length-1)	return false;
	if(str.indexOf("@")!=str.lastIndexOf("@"))	return false;
	return true;
}

function getExt(s)
{
	var i = s.lastIndexOf(".");
	if(i < 0)
	{
		return false;
	}
	return s.substring(i+1);
}

function get_radio_value(name)
{
	l=document.getElementsByName(name);
	for(i=0;i<l.length;i++)
	{
		if(l[i].checked) return(l[i].value);
	}
} 

function remove_element(obj)
{
	obj.parentNode.removeChild(obj);
}

function remove_element_by_id(id)
{
	var obj = $(id);
	obj.parentNode.removeChild(obj);
}

function markAllRows(container_id,checked)
{
	var checkbox = $(container_id).getElementsByTagName('input');
	for ( var i = 0; i < checkbox.length; i++ )
	{
        if ( checkbox[i].type == 'checkbox' && checkbox[i].disabled == false)
		{
			checkbox[i].checked = checked;
		}
	}
	return true;
}

function doane(event) {
	e = event ? event : window.event;
	if(is_ie) {
		e.returnValue = false;
		e.cancelBubble = true;
	} else if(e) {
		e.stopPropagation();
		e.preventDefault();
	}
}

function fetchCheckbox(cbn) {
	return $(cbn) && $(cbn).checked == true ? 1 : 0;
}


function in_array(needle, haystack) {
	if(typeof needle == 'string' || typeof needle == 'number') {
		for(var i in haystack) {
			if(haystack[i] == needle) {
					return true;
			}
		}
	}
	return false;
}


function isUndefined(variable) {
	return typeof variable == 'undefined' ? true : false;
}

function mb_strlen(str) {
	var len = 0;
	for(var i = 0; i < str.length; i++) {
		len += str.charCodeAt(i) < 0 || str.charCodeAt(i) > 255 ? (charset == 'utf-8' ? 3 : 2) : 1;
	}
	return len;
}

function setcookie(cookieName, cookieValue, seconds, path, domain, secure) {
	var expires = new Date();
	expires.setTime(expires.getTime() + seconds);
	document.cookie = escape(cookieName) + '=' + escape(cookieValue)
		+ (expires ? '; expires=' + expires.toGMTString() : '')
		+ (path ? '; path=' + path : '/')
		+ (domain ? '; domain=' + domain : '')
		+ (secure ? '; secure' : '');
}

function strlen(str) {
	return (is_ie && str.indexOf('\n') != -1) ? str.replace(/\r?\n/g, '_').length : str.length;
}

function trim(str) {
	return (str + '').replace(/(\s+)$/g, '').replace(/^\s+/g, '');
}

function collapse_change(menucount) {
	if($('menu_' + menucount).style.display == 'none') {
		$('menu_' + menucount).style.display = '';
		$('menuimg_' + menucount).src = root_url+'templates/admin/images/menu_reduce.gif';
	} else {
		$('menu_' + menucount).style.display = 'none';
		$('menuimg_' + menucount).src = root_url+'templates/admin/images/menu_add.gif';
	}
}

function getposition(obj) {
	var r = new Array();
	r['x'] = obj.offsetLeft;
	r['y'] = obj.offsetTop;
	while(obj = obj.offsetParent) {
		r['x'] += obj.offsetLeft;
		r['y'] += obj.offsetTop;
	}	
	return r;
}

function showhelp(helpdiv,controlid) {
	var p = getposition(controlid);
	$(helpdiv).style.left = p['x']+'px';
	$(helpdiv).style.top = (p['y'] + 25)+'px';
	$(helpdiv).style.display = 'block';
}

function hidehelp(helpdiv) {
	$(helpdiv).style.display = 'none';
}

function navto(url)
{
	window.location.href = url;
}

function ajax_remove_friendlink(id)
{
	var ajaxobj=new AJAXRequest;
	url= root_url+"ajax/remove_friendlink.php?temp="+Math.random();
	p = "id="+id;
	ajaxobj.method="POST";
	ajaxobj.url=url;
	ajaxobj.content=p;
	ajaxobj.callback=function(xmlobj) {
		if (xmlobj.responseText)
		{
			remove_element_by_id('friendlink_'+xmlobj.responseText);
		}
		else
		{
			if(confirm(ajax_fail_reload))
			{
				window.location.reload();
			}
		}
	}
	ajaxobj.send();
}

function remove_friendlink(id)
{
	if (confirm(friendlink_remove_confirm))
	{
		ajax_remove_friendlink(id);
	}
}

function new_friendlink(element)
{
	var target_tr = element.parentNode.parentNode;
	var new_tr = document.createElement("tr");
	new_tr.align = "center";
	target_tr.parentNode.insertBefore(new_tr,target_tr);

	var td_order = document.createElement("td");
	td_order.innerHTML = "<input type=\"text\" class=\"text\" name=\"newlinks_order[]\" size=\"1\" value=\"0\" />";
	new_tr.appendChild(td_order);

	var td_label = document.createElement("td");
	td_label.innerHTML = "<input type=\"text\" class=\"text\" name=\"newlinks_label[]\" maxlength=\"30\" style=\"width:98%;\" />";
	new_tr.appendChild(td_label);

	var td_url = document.createElement("td");
	td_url.innerHTML = "<input type=\"text\" class=\"text\" name=\"newlinks_url[]\" maxlength=\"100\" style=\"width:98%;\" />";
	new_tr.appendChild(td_url);

	var td_title = document.createElement("td");
	td_title.innerHTML = "<input type=\"text\" class=\"text\" name=\"newlinks_title[]\" maxlength=\"100\" style=\"width:98%;\" />";
	new_tr.appendChild(td_title);

	var td_remove = document.createElement("td");
	td_remove.innerHTML = "<a href=\"###\" onclick=\"javascript:remove_element(this.parentNode.parentNode);\">["+lang_remove+"]</a>";
	new_tr.appendChild(td_remove);
}

function ajax_remove_category(id)
{
	var ajaxobj=new AJAXRequest;
	url= root_url+"ajax/remove_category.php?temp="+Math.random();
	p = "id="+id;
	ajaxobj.method="POST";
	ajaxobj.url=url;
	ajaxobj.content=p;
	ajaxobj.callback=function(xmlobj) {
		if (xmlobj.responseText)
		{
			remove_element_by_id('category_'+xmlobj.responseText);
		}
		else
		{
			if(confirm(ajax_fail_reload))
			{
				window.location.reload();
			}
		}
	}
	ajaxobj.send();
}

function remove_category(id)
{
	if (confirm(category_remove_confirm))
	{
		ajax_remove_category(id);
	}
}

function new_category(element)
{
	var target_tr = element.parentNode.parentNode;
	var new_tr = document.createElement("tr");
	new_tr.align = "center";
	target_tr.parentNode.insertBefore(new_tr,target_tr);

	var td_order = document.createElement("td");
	td_order.innerHTML = "<input type=\"text\" class=\"text\" name=\"newcategory_order[]\" size=\"1\" value=\"0\" />";
	new_tr.appendChild(td_order);

	var td_name = document.createElement("td");
	td_name.innerHTML = "<input type=\"text\" class=\"text\" name=\"newcategory_name[]\" maxlength=\"30\" style=\"width:98%;\" />";
	new_tr.appendChild(td_name);

	var td_desc = document.createElement("td");
	td_desc.innerHTML = "<input type=\"text\" class=\"text\" name=\"newcategory_desc[]\" maxlength=\"100\" style=\"width:98%;\" />";
	new_tr.appendChild(td_desc);

	var td_remove = document.createElement("td");
	td_remove.innerHTML = "<a href=\"###\" onclick=\"javascript:remove_element(this.parentNode.parentNode);\">["+lang_remove+"]</a>";
	new_tr.appendChild(td_remove);
}

function ajax_remove_page(id)
{
	var ajaxobj=new AJAXRequest;
	url= root_url+"ajax/remove_page.php?temp="+Math.random();
	p = "id="+id;
	ajaxobj.method="POST";
	ajaxobj.url=url;
	ajaxobj.content=p;
	ajaxobj.callback=function(xmlobj) {
		if (xmlobj.responseText)
		{
			remove_element_by_id('page_'+xmlobj.responseText);
		}
		else
		{
			if(confirm(ajax_fail_reload))
			{
				window.location.reload();
			}
		}
	}
	ajaxobj.send();
}

function remove_page(id)
{
	if (confirm(pages_remove_confirm))
	{
		ajax_remove_page(id);
	}
}

function check_page_edit()
{
	if (trim($('page_title').value) == '')
	{
		alert(lang_pages_error_title);
		$('page_title').focus();
		return false;
	}

	if (trim($('page_label').value) == '')
	{
		alert(lang_pages_error_label);
		$('page_label').focus();
		return false;
	}

	if (trim($('page_link').value) == '' && trim($('page_filename').value) == '' && page_status != 2)
	{
		alert(lang_pages_error_filename);
		$('page_filename').focus();
		return false;
	}

	if (filename_exists)
	{
		alert(lang_pages_error_filename_exists);
		$('page_filename').focus();
		return false;
	}

	return true;
}

function ajax_page_filename_check(id,filename)
{
	filename = trim(filename);
	if (filename != '')
	{
		var ajaxobj=new AJAXRequest;
		url= root_url+"ajax/page_filename_check.php?temp="+Math.random();
		p = "id="+id+"&filename="+encodeURIComponent(filename);
		ajaxobj.method="POST";
		ajaxobj.url=url;
		ajaxobj.content=p;
		ajaxobj.callback=function(xmlobj) {
			if (xmlobj.responseText == '1')
			{
				$("page_filename_tip").innerHTML = '<img src="'+root_url+'templates/admin/images/check_error.gif" /> '+lang_pages_error_filename_exists;
				filename_exists = 1;
			}
			else
			{
				$("page_filename_tip").innerHTML = '<img src="'+root_url+'templates/admin/images/check_right.gif" />';
				filename_exists = 0;
			}
		}
		ajaxobj.send();
	}
}

function check_profile()
{
	if (action=='addnew' && $('user_name').value == '')
	{
		alert(lang_profile_error_emptyusername);
		$('user_name').focus();
		return false;
	}

	if (action=='addnew' && $('new_passwd').value == '')
	{
		alert(lang_profile_error_emptypassword);
		$('new_passwd').focus();
		return false;
	}

	if (action=='my' && $('old_passwd').value == '')
	{
		alert(lang_profile_error_emptypassword);
		$('old_passwd').focus();
		return false;
	}

	if ($('new_passwd').value != $('new_passwd1').value)
	{
		alert(lang_profile_error_newpassword);
		$('new_passwd').focus();
		return false;
	}

	if (!Is_Mail(trim($('email').value)))
	{
		alert(lang_profile_error_email);
		$('email').focus();
		return false;
	}

	return true;
}

function ajax_remove_administrator(id)
{
	var ajaxobj=new AJAXRequest;
	url= root_url+"ajax/remove_administrator.php?temp="+Math.random();
	p = "id="+id;
	ajaxobj.method="POST";
	ajaxobj.url=url;
	ajaxobj.content=p;
	ajaxobj.callback=function(xmlobj) {
		if (xmlobj.responseText)
		{
			switch (xmlobj.responseText)
			{
				case '-1':
					alert(administrators_remove_error_last);
					break;
				case '-2':
					alert(administrators_remove_error_self);
					break;
				default:
					remove_element_by_id('administrator_'+xmlobj.responseText);
			}
		}
		else
		{
			if(confirm(ajax_fail_reload))
			{
				window.location.reload();
			}
		}
	}
	ajaxobj.send();
}

function remove_administrator(id)
{
	if (confirm(administrators_remove_confirm))
	{
		ajax_remove_administrator(id);
	}
}

function show_category_name(value)
{
	if(value=='new')
	{
		$('category_name').style.display='';
	}
	else
	{
		$('category_name').value='';
		$('category_name').style.display='none';
	}
}

function logo_preview()
{
	var fileext = getExt($('logo').value);
	if (fileext=='jpg' || fileext=='jpeg' || fileext=='gif' || fileext=='png')
	{
		if (is_ie)
		{
			$('logo_img').src = $('logo').value;
			$('logo_img').style.display = '';
		}
		if (is_moz)
		{
			$('logo_img').src = $('logo').files.item(0).getAsDataURL();
			$('logo_img').style.display = '';
		}
		$('logo_changed').value = '1';
	}
	else
	{
		$('logo_img').style.display = 'none';
		$('logo_changed').value = '0';
	}
}

function icon_preview()
{
	var fileext = getExt($('icon').value);
	if (fileext=='gif')
	{
		if (is_ie)
		{
			$('icon_img').src = $('icon').value;
			$('icon_img').style.display = '';
		}
		if (is_moz)
		{
			$('icon_img').src = $('icon').files.item(0).getAsDataURL();
			$('icon_img').style.display = '';
		}
		$('icon_changed').value = '1';
	}
	else
	{
		$('icon_img').style.display = 'none';
		$('icon_changed').value = '0';
	}
}

function edit_field(id)
{
	var ajaxobj=new AJAXRequest;
	url= root_url+"ajax/get_regfield.php?temp="+Math.random();
	p = "id="+id;
	ajaxobj.method="POST";
	ajaxobj.url=url;
	ajaxobj.content=p;
	ajaxobj.callback=function(xmlobj) {
		if (xmlobj.responseText)
		{
			$('field_editor').style.display = '';
			$('field_editor_button_addnew').style.display = 'none';
			$('field_editor_button_submit').style.display = '';
			$('field_editor_button_cancel').style.display = '';
			var res = xmlobj.responseText.split(ajax_delimiter);
			$('regfield_label').value = res[0];
			$('regfield_name').value = res[1];
			$('regfield_type').options[res[2]-1].selected = true;
			$('regfield_values').value = res[3];
			$('reginfo_description').value = res[4];
			$('regfield_id').value = id;
			$('regfield_required'+res[5]).checked = true;
		}
	}
	ajaxobj.send();
}

function add_field()
{
	$('field_editor').style.display = '';
	$('field_editor_button_addnew').style.display = 'none';
	$('field_editor_button_submit').style.display = '';
	$('field_editor_button_cancel').style.display = '';
	$('regfield_label').value = '';
	$('regfield_name').value = '';
	$('regfield_type').options[0].selected = true;
	$('regfield_values').value = '';
	$('reginfo_description').value = '';
	$('regfield_id').value = '';
	$('regfield_required0').checked = true;
}

function cancel_field_editor()
{
	$('field_editor').style.display = 'none';
	$('field_editor_button_addnew').style.display = '';
	$('field_editor_button_submit').style.display = 'none';
	$('field_editor_button_cancel').style.display = 'none';
}

function submit_field_editor()
{
	$('regfield_label').value = trim($('regfield_label').value);
	if ($('regfield_label').value=='')
	{
		alert(lang_products_error_field_label);
		return false;
	}

	$('regfield_name').value = trim($('regfield_name').value);
	if ($('regfield_name').value=='')
	{
		alert(lang_products_error_field_fieldname);
		return false;
	}

	var ajaxobj=new AJAXRequest;
	url= root_url+"ajax/save_regfield.php?temp="+Math.random();
	p = "regfield_label="+encodeURIComponent($('regfield_label').value)
		+"&regfield_name="+encodeURIComponent($('regfield_name').value)
		+"&regfield_type="+$('regfield_type').options[$('regfield_type').selectedIndex].value
		+"&regfield_values="+encodeURIComponent($('regfield_values').value)
		+"&reginfo_description="+encodeURIComponent($('reginfo_description').value)
		+"&regfield_required="+get_radio_value('regfield_required')
		+"&regfield_id="+$('regfield_id').value
		+"&regfield_pid="+$('regfield_pid').value;
	ajaxobj.method="POST";
	ajaxobj.url=url;
	ajaxobj.content=p;
	ajaxobj.callback=function(xmlobj) {
		if (xmlobj.responseText)
		{
			switch (xmlobj.responseText)
			{
				case '-1':
					alert(lang_products_error_fieldname_dup);
					break;
				case '-2':
					alert(lang_products_error_field_label);
					break;
				case '-3':
					alert(lang_products_error_field_fieldname);
					break;
				default:
					window.location.reload();
			}
		}
		else
		{
			if(confirm(ajax_fail_reload))
			{
				window.location.reload();
			}
		}
	}
	ajaxobj.send();
}

function ajax_remove_field(id)
{
	var ajaxobj=new AJAXRequest;
	url= root_url+"ajax/remove_regfield.php?temp="+Math.random();
	p = "id="+id+"&regfield_pid="+$('regfield_pid').value;
	ajaxobj.method="POST";
	ajaxobj.url=url;
	ajaxobj.content=p;
	ajaxobj.callback=function(xmlobj) {
		if (xmlobj.responseText)
		{
			remove_element_by_id('field_'+xmlobj.responseText);
		}
		else
		{
			if(confirm(ajax_fail_reload))
			{
				window.location.reload();
			}
		}
	}
	ajaxobj.send();
}

function remove_field(id)
{
	if (confirm(products_regfield_remove_confirm))
	{
		ajax_remove_field(id);
	}
}

function show_keygen()
{
	var reg_type = get_radio_value('reg_type');
	switch (reg_type)
	{
	case '2':
		$('keygen').style.display = '';
		$('keyurl').style.display = 'none';
		break;
	case '4':
		$('keygen').style.display = 'none';
		$('keyurl').style.display = '';
		break;
	default:
		$('keygen').style.display = 'none';
		$('keyurl').style.display = 'none';
	}
}

function add_regcodes()
{
	$('new_regcodes').style.display = '';
	$('regcode_button_addnew').style.display = 'none';
	$('regcode_button_cancel').style.display = '';
}

function add_regcodes_cancel()
{
	$('new_regcodes').style.display = 'none';
	$('regcode_button_addnew').style.display = '';
	$('regcode_button_cancel').style.display = 'none';
}

function ajax_remove_screenshot(id)
{
	var ajaxobj=new AJAXRequest;
	url= root_url+"ajax/remove_screenshot.php?temp="+Math.random();
	p = "id="+id;
	ajaxobj.method="POST";
	ajaxobj.url=url;
	ajaxobj.content=p;
	ajaxobj.callback=function(xmlobj) {
		if (xmlobj.responseText)
		{
			remove_element_by_id('screenshot_'+xmlobj.responseText);
		}
		else
		{
			if(confirm(ajax_fail_reload))
			{
				window.location.reload();
			}
		}
	}
	ajaxobj.send();
}

function remove_screenshot(id)
{
	if (confirm(products_screenshot_remove_confirm))
	{
		ajax_remove_screenshot(id);
	}
}