var userAgent = navigator.userAgent.toLowerCase();
var is_opera = userAgent.indexOf('opera') != -1 && opera.version();
var is_moz = (navigator.product == 'Gecko') && userAgent.substr(userAgent.indexOf('firefox') + 8, 3);
var is_ie = (userAgent.indexOf('msie') != -1 && !is_opera) && userAgent.substr(userAgent.indexOf('msie') + 5, 3);
var is_safari = userAgent.indexOf('safari') != -1 || userAgent.indexOf('Safari') != -1;

function $(id) {
	return document.getElementById(id);
}

Array.prototype.push = function(value) {
	this[this.length] = value;
	return this.length;
}

function AJAXRequest() {
	var xmlObj = false;
	var CBfunc,ObjSelf;
	ObjSelf=this;
	try { xmlObj=new XMLHttpRequest; }
	catch(e) {
		try { xmlObj=new ActiveXObject("MSXML2.XMLHTTP"); }
		catch(e2) {
			try { xmlObj=new ActiveXObject("Microsoft.XMLHTTP"); }
			catch(e3) { xmlObj=false; }
		}
	}
	if (!xmlObj) return false;
	this.method="POST";
	this.url;
	this.async=true;
	this.content="";
	this.callback=function(cbobj) {return;}
	this.send=function() {
		if(!this.method||!this.url||!this.async) return false;
		xmlObj.open (this.method, this.url, this.async);
		if(this.method=="POST") xmlObj.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		xmlObj.onreadystatechange=function() {
			if(xmlObj.readyState==4) {
				if(xmlObj.status==200) {
					ObjSelf.callback(xmlObj);
				}
			}
		}
		if(this.method=="POST") xmlObj.send(this.content);
		else xmlObj.send(null);
	}
}

function item_remove(id)
{
	if (confirm(cart_item_remove_confirm))
	{
		ajax_item_remove(id);
		return true;
	}
	else
	{
		return false;
	}
}

function ajax_item_remove(id)
{
	var ajaxobj=new AJAXRequest;
	url= root_url+"ajax/remove_item.php?temp="+Math.random();
	p = "id="+id;
	ajaxobj.method="POST";
	ajaxobj.url=url;
	ajaxobj.content=p;
	ajaxobj.callback=function(xmlobj) {
		if (xmlobj.responseText)
		{
			window.location.reload();
		}
	}
	ajaxobj.send();
}

function item_update(id)
{
	var quantity = parseInt($('quantity_'+id).value);
	if (isNaN(quantity))
	{
		quantity = 1;
	}

	if (quantity < 1)
	{
		if (!item_remove(id))
		{
			quantity = 1;
		}
	}

	ajax_item_update(id,quantity);
}

function ajax_item_update(id,quantity)
{
	var ajaxobj=new AJAXRequest;
	url= root_url+"ajax/update_item.php?temp="+Math.random();
	p = "id="+id+"&quantity="+quantity;
	ajaxobj.method="POST";
	ajaxobj.url=url;
	ajaxobj.content=p;
	ajaxobj.callback=function(xmlobj) {
		if (xmlobj.responseText)
		{
			window.location.reload();
		}
	}
	ajaxobj.send();
}

function screenshot_expand()
{
	$('screenshot_expand').style.display = 'none';
	$('screenshot_all').style.display = '';
}

function screenshot_collapse()
{
	$('screenshot_expand').style.display = '';
	$('screenshot_all').style.display = 'none';
}

function cart_add(id)
{
	window.location.href = root_url + 'cart.php?action=add&pid='+id;
}